<template>
  <el-dialog :visible.sync="show" v-on:update:visible="updateShowDialog"
    :width="widthModal"
    :show-close="false"
    :custom-class="nameClass"
    :close-on-press-escape="false"
    :close-on-click-modal="closeOnModal"
     v-bind:class="{ 'style__Box': styleBox == true, 'style__Modal': styleModal == true}"> 
      <el-row style="display: flex; align-items: center;" v-bind:class="{ 'style__Row': styleBox == true, 'style__Modal__Row': styleModal == true}">
        <el-col :span="5" class="text-center"><img :src="rutImg"  alt="emoticon" :width="sizeImg"></el-col>
        <el-col :span="18" :offset="1">
          <p v-if="textBold !== undefined && textBold !== null" style="margin-bottom: 0.5rem; font-weight:bold; " class="font-size-18" v-html="textBold"><strong> </strong></p>
          <p v-html="parrafo"></p>
        </el-col>
      </el-row>
      <el-row type="flex" justify="end">
        <el-button v-if="btn1" @click="$emit('btnEvent')" :class="classBtn1" style="margin-top: 4rem" :type="typeBtn1" plain> {{ btn1}} </el-button>   
        <el-button v-if="btn2" @click="$emit('eventBtn')" :class="classBtn2" style="margin-top: 4rem" :type="typeBtn1"> {{ btn2}} </el-button>
      </el-row>
   </el-dialog>
</template>

<script>
  export default {
    props: {
      showDialog: Boolean,
      parrafo: String,
      btn1: String,
      btn2: String,
      changeAccept: false,
      nameClass: String,
      rutImg: String,
      textBold: {
        type: String,
        required: false
      },
      classBtn1: {
        type: String,
        required: false
      },
      typeBtn1: {
        type: String,
        required: false
      },
      sizeImg: {
        type: String,
        required: false
        },
      widthModal: {
        type: String,
        default: '33%',
        required: false
      },
      styleBox: Boolean,
      styleModal: Boolean,
      classBtn2: String
    },
    data(){
      return {
        show: this.showDialog,
        closeOnModal: true
      }
    },
    methods: {
      updateShowDialog(isVisible) {
        if (isVisible) return false;
        this.$emit('update:showDialog', false )
      }
    },
    created() {
      if(this.styleModal == true) {
        this.closeOnModal = false
      }
    },
    watch: {
      styleModal(val) {
        this.closeOnModal = !val
      },
    }
  }
</script>

<style>
  .el-dialog__body {
    padding-top: 0 !important;
  }
  .style__Box .el-dialog__body {
    padding: 0 55px 30px 20px !important;
  }
  .style__Row {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .style__Row .el-col-18 {
    width: auto !important;
  }
  .style__Modal .el-dialog__body {
    padding: 0 42px 30px 20px !important;
  }
  .style__Modal__Row {
    display: flex;
    align-items: flex-start;
    justify-content: center;
  }
  .style__Modal .firstBtn {
    border: 1px solid #FF0000 !important;
    color: #FF0000
  }
  .style__Modal .firstBtn:hover{
    border: 1px solid #FF0000 !important;
    background-color: #FF0000 !important;
    color: #ffffff !important
  }
  .style__Modal .secondBtn {
    border: 1px solid #FF0000 !important;
    background-color: #FF0000;
    color: #ffffff !important
  }
  .style__Modal .secondBtn:hover {
    background-color: #ffffff;
    border: 1px solid #FF0000 !important;
    color: #FF0000 !important;
  }
</style>
